=== debian/changelog ===
ros-iron-plansys2-bt-actions (2.0.11-1jammy) jammy; urgency=high

  * Fix logger destruction at BTActions
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 01 Aug 2023 22:00:00 -0000

ros-iron-plansys2-bt-actions (2.0.10-1jammy) jammy; urgency=high

  * Merge pull request #251 <https://github.com/PlanSys2/ros2_planning_system/issues/251> from PlanSys2/fix_bt_node
    Fix bt node
  * Insert in blackboard the action ROS 2 Node
  * Merge remote-tracking branch 'origin/master' into fix_goal_structure_issue_205
  * Merge branch 'master' into bt-builder-plugins
  * Merge pull request #236 <https://github.com/PlanSys2/ros2_planning_system/issues/236> from sarcasticnature/feature/misc-fixes
    Fixes for bt_actions and popf_plan_sover
  * Correct tick function call in bt_actions test
  * Merge remote-tracking branch 'origin/master' into fix_goal_structure_issue_205
  * Explicitly ignore feedback in default on_feedback
  * Add try/catch to bt creation, reset loggers
  * Merge remote-tracking branch 'upstream/master'
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Contributors: Andrianov Roman, Francisco Martín Rico, Jake Keller, Marco Roveri, Splinter1984

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 16 Jul 2023 22:00:00 -0000

ros-iron-plansys2-bt-actions (2.0.9-1jammy) jammy; urgency=high

  * Add BT logging, Tree execution try/catch, and README
  * Add try/catch to BT execution in BTAction
  * log INFO in BtActionNode when sending action goal
  * Add BT logging to BTAction
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 09 Jul 2022 22:00:00 -0000

ros-iron-plansys2-bt-actions (2.0.8-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-iron-plansys2-bt-actions (2.0.7-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-iron-plansys2-bt-actions (2.0.6-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-bt-actions (2.0.5-1jammy) jammy; urgency=high

  * Fix ROS2 Buildfarm error due to Threads
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-bt-actions (2.0.4-1jammy) jammy; urgency=high

  * Fix version
  * Fix ROS2 Buildfarm error due to Threads
  * Update unit tests to match changes
  * Update node name remapping to new syntax
  * Update node name remapping to new syntax
  * Merge branch 'origin/unique-node-names'
  * Remap BB node name in source using NodeOptions
  * Remove empty line to make cpplint happy
  * Remove swap file
  * Handle on_tick() during the first tick
  * Remove holdover code from pre-refactor
    We should not set running explicity here as the user defined on_tick()
    would have no way to know that it is the first tick.
    The status will be set implicity by the parent class's execute_tick()
    method.
    Because the on_tick() method has been moved, a goal is no longer being
    set in the first block of code, making the first call to
    on_new_goal_received() errant.
  * Remove on_wait_for_result
    The function is redundant now that on_tick() is called every tick
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-bt-actions (2.0.3-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-iron-plansys2-bt-actions (2.0.2-1jammy) jammy; urgency=high

  * action-graph-fix: Reverting timeout modification for bt_action_test.
  * Refactor BTActionNode (#197 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/197>)
  * action-test-fix: Setting TIMEOUT value to 300 for bt_action_test.
    Increase default server tiemout
  * Replace runtime errors w/ BT::NodeStatus::FAILURE
  * Add on_feedback method
  * Fix issue if child classes override providedPorts
  * Add (optional) server timeout to BtActionNode
  * Contributors: Francisco Martín Rico, Jake Keller, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-iron-plansys2-bt-actions (2.0.1-1jammy) jammy; urgency=high

  * Update deprecated APIs in launchers and parameters
  * Fix plansys2_bt_actions CMakeLists.txt
  * Merge galactic-devel
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 02 Feb 2022 23:00:00 -0000

ros-iron-plansys2-bt-actions (2.0.0-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 03 Jul 2021 22:00:00 -0000

ros-iron-plansys2-bt-actions (1.0.10-1jammy) jammy; urgency=high

  * Fix tests
  * Fix rate conversions
  * Reduce debug output
  * Update version
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-iron-plansys2-bt-actions (1.0.9-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 14 Mar 2021 23:00:00 -0000

ros-iron-plansys2-bt-actions (1.0.8-1jammy) jammy; urgency=high

  * Moving zmq publisher creation to on_activate in BTAction, resetting the publisher in on_deactivate.
  * Action execution refactoring
  * Adding zeromq-based groot monitoring of plansys2 behaviortree actions. Ports are not specified by default to keep two different actions from accidentally using the same ports.
  * Add support for numeric conditions and effects.
  * Monitorization info
  * Improving BTActions
  * Change 'move' action name
  * Contributors: Alexander Xydes, Fabrice Larribe, Francisco Martin Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 11 Mar 2021 23:00:00 -0000

ros-iron-plansys2-bt-actions (1.0.7-1jammy) jammy; urgency=high

  * Making explicit dependencies

