=== debian/control ===
Source: ros-iron-plansys2-bt-actions
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libzmq3-dev, ros-iron-action-msgs, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-behaviortree-cpp-v3, ros-iron-geometry-msgs <!nocheck>, ros-iron-plansys2-executor, ros-iron-plansys2-msgs <!nocheck>, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclcpp-lifecycle, ros-iron-test-msgs <!nocheck>, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-plansys2-bt-actions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libzmq3-dev, ros-iron-action-msgs, ros-iron-behaviortree-cpp-v3, ros-iron-plansys2-executor, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclcpp-lifecycle, ros-iron-ros-workspace
Description: This package contains the Problem Expert module for the ROS2 Planning System
